CS::Animation::MocapParser Class Reference (Crystal Space 2.0 Public API Reference)

| ## Public API Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
CS::Animation::MocapParser Class Reference

Tool for parsing motion capture ressource files and importing them into an animation data suitable for the CS::Mesh::iAnimatedMesh. More...

`#include <cstool/mocapparser.h>`

Inheritance diagram for CS::Animation::MocapParser:

List of all members.

## Public Member Functions
virtual MocapParserResult | ParseData ()=0
| Parse the ressource files containing the motion capture data.
virtual void | SetAnimationName (const char *name)=0
| Set the name of the animation that will be created.
virtual void | SetEndFrame (size_t frame)=0
| Set the frame where to stop importing the animation data.
virtual void | SetGlobalScale (float scale)=0
| Set the global scale to be applied on all dimensions.
virtual void | SetPacketName (const char *name)=0
| Set the name of the animation packet that will be created.
virtual bool | SetRessourceFile (const char *filename)=0
| Set the VFS path of the ressource file containing the motion capture data.
virtual void | SetSkeletonName (const char *name)=0
| Set the name of the skeleton that will be created.
virtual void | SetStartFrame (size_t frame)=0
| Set the frame where to start importing the animation data.
virtual | ~MocapParser ()
| Destructor.

## Detailed Description

Tool for parsing motion capture ressource files and importing them into an animation data suitable for the CS::Mesh::iAnimatedMesh.

You should be able to parse successively more than one ressource with the same parser.

Definition at line 69 of file mocapparser.h.

## Constructor & Destructor Documentation

virtual CS::Animation::MocapParser::~MocapParser | ( |  | ) | `[inline, virtual]`

Destructor.

Definition at line 73 of file mocapparser.h.

## Member Function Documentation

virtual MocapParserResult CS::Animation::MocapParser::ParseData | ( |  | ) | `[pure virtual]`

Parse the ressource files containing the motion capture data.

Implemented in CS::Animation::BVHMocapParser.

virtual void CS::Animation::MocapParser::SetAnimationName | ( | const char * | name | ) | `[pure virtual]`

Set the name of the animation that will be created.

The default value is the name of the ressource file plus "_anim".

Implemented in CS::Animation::BVHMocapParser.

virtual void CS::Animation::MocapParser::SetEndFrame | ( | size_t | frame | ) | `[pure virtual]`

Set the frame where to stop importing the animation data.

A value of 0 means that all the animations until the end of the ressource file have to be imported. The default value is 0.

Implemented in CS::Animation::BVHMocapParser.

virtual void CS::Animation::MocapParser::SetGlobalScale | ( | float | scale | ) | `[pure virtual]`

Set the global scale to be applied on all dimensions.

The default value is 0.01.

Implemented in CS::Animation::BVHMocapParser.

virtual void CS::Animation::MocapParser::SetPacketName | ( | const char * | name | ) | `[pure virtual]`

Set the name of the animation packet that will be created.

The default value is the name of the ressource file plus "_packet".

Implemented in CS::Animation::BVHMocapParser.

virtual bool CS::Animation::MocapParser::SetRessourceFile | ( | const char * | filename | ) | `[pure virtual]`

Set the VFS path of the ressource file containing the motion capture data.

You may have to add more than one ressource depending on the motion capture file format.

Implemented in CS::Animation::BVHMocapParser.

virtual void CS::Animation::MocapParser::SetSkeletonName | ( | const char * | name | ) | `[pure virtual]`

Set the name of the skeleton that will be created.

The default value is the name of the ressource file plus "_skel".

Implemented in CS::Animation::BVHMocapParser.

virtual void CS::Animation::MocapParser::SetStartFrame | ( | size_t | frame | ) | `[pure virtual]`

Set the frame where to start importing the animation data.

The default value is 0.

Implemented in CS::Animation::BVHMocapParser.

The documentation for this class was generated from the following file:

- cstool/mocapparser.h